Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dmt.jdm.algorithm.nmf
Interface OraNMFAlgorithmSettings

All Superinterfaces:
  javax.datamining.base.AlgorithmSettings, OraFeatureExtractionAlgorithmSettings

public interface OraNMFAlgorithmSettings
extends OraFeatureExtractionAlgorithmSettings

An instance of `OraNMFAlgorithmSettings` is used to specify settings for the NMF Feature Extraction algorithm. It allows a knowledgeable user to fine tune algorithm parameters. Generally, not all parameters must be specified, however, those specified are taken into account by the underlying DME. Following NMF algorithm settings can be specified to tune the model.

- Random Seed - this is used as a seed for random number generated by the algorithm. Default value is -1.
- Maximum number of Iterations - this is used to specify the maximum number iterations the algorithm need to use to build the model. Default value is 50.
- Convergence tolerance for NMF algorithm. Default value is 0.05.

See Also:
  `AlgorithmSettings`, `OraFeatureExtractionAlgorithmSettings`

Method Summary
`long` | `getMaxNumberOfIterations()` Get the number of iterations.
`double` | `getMinConvergenceTolerance()` Get the minimum convergence tolerance.
`long` | `getSeedValue()` Get the seed set for random number generator.
`void` | `setMaxNumberOfIterations(long maxIterations)` Set the maximum number of iterations.
`void` | `setMinConvergenceTolerance(double minConvergenceTolerance)` Sets the minimum convergence tolerance.
`void` | `setSeedValue(long seedValue)` Set the seed value for the random number generator.

Methods inherited from interface javax.datamining.base.AlgorithmSettings
`getMiningAlgorithm, verify`

Method Detail

### getMaxNumberOfIterations

    public long getMaxNumberOfIterations()

  Get the number of iterations.
  Returns:
    long

### setMaxNumberOfIterations

    public void setMaxNumberOfIterations(long maxIterations)

  Set the maximum number of iterations.
  Parameters:
    `maxIterations` - maximum number of iterations
  Returns:
    void

### getMinConvergenceTolerance

    public double getMinConvergenceTolerance()

  Get the minimum convergence tolerance.
  Returns:
    double

### setMinConvergenceTolerance

    public void setMinConvergenceTolerance(double minConvergenceTolerance)

  Sets the minimum convergence tolerance.
  Parameters:
    `minConvergenceTolerance` - minimum convergence tolerance
  Returns:
    void

### getSeedValue

    public long getSeedValue()

  Get the seed set for random number generator.
  Returns:
    long

### setSeedValue

    public void setSeedValue(long seedValue)

  Set the seed value for the random number generator.
  Parameters:
    `seedValue` - seed value
  Returns:
    void

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All rights reserved.